Public Class CustomerCollection
    Inherits System.Collections.CollectionBase
    ' Add - add a customer...
    Public Sub Add(ByVal newCustomer As Customer)
        Me.List.Add(newCustomer)
    End Sub

    ' Remove - delete a customer...
    Public Sub Remove(ByVal removeCustomer As Customer)
        Me.List.Remove(removeCustomer)
    End Sub

    ' Item - return a customer given an index...
    Default Public Property Item(ByVal index As Integer) As Customer
        Get
            Return Me.List.Item(index)
        End Get
        Set(ByVal Value As Customer)
            Me.List.Item(index) = Value
        End Set
    End Property


End Class
